QuantLib: FloatFloatSwap Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | List of all members
FloatFloatSwap Class Reference

float float swap More...

`#include <ql/instruments/floatfloatswap.hpp>`

Inheritance diagram for FloatFloatSwap:
[legend]

## Classes
class | arguments
| Arguments for float float swap calculation More...
class | results
| Results from float float swap calculation More...

## Public Member Functions
| FloatFloatSwap (const VanillaSwap::Type type, const Real nominal1, const Real nominal2, const Schedule &schedule1, const boost::shared_ptr< InterestRateIndex > &index1, const DayCounter &dayCount1, const Schedule &schedule2, const boost::shared_ptr< InterestRateIndex > &index2, const DayCounter &dayCount2, const bool intermediateCapitalExchange=false, const bool finalCapitalExchange=false, const Real gearing1=1.0, const Real spread1=0.0, const Real cappedRate1=Null< Real >(), const Real flooredRate1=Null< Real >(), const Real gearing2=1.0, const Real spread2=0.0, const Real cappedRate2=Null< Real >(), const Real flooredRate2=Null< Real >(), boost::optional< BusinessDayConvention > paymentConvention1=boost::none, boost::optional< BusinessDayConvention > paymentConvention2=boost::none)
| FloatFloatSwap (const VanillaSwap::Type type, const std::vector< Real > &nominal1, const std::vector< Real > &nominal2, const Schedule &schedule1, const boost::shared_ptr< InterestRateIndex > &index1, const DayCounter &dayCount1, const Schedule &schedule2, const boost::shared_ptr< InterestRateIndex > &index2, const DayCounter &dayCount2, const bool intermediateCapitalExchange=false, const bool finalCapitalExchange=false, const std::vector< Real > &gearing1=std::vector< Real >(), const std::vector< Real > &spread1=std::vector< Real >(), const std::vector< Real > &cappedRate1=std::vector< Real >(), const std::vector< Real > &flooredRate1=std::vector< Real >(), const std::vector< Real > &gearing2=std::vector< Real >(), const std::vector< Real > &spread2=std::vector< Real >(), const std::vector< Real > &cappedRate2=std::vector< Real >(), const std::vector< Real > &flooredRate2=std::vector< Real >(), boost::optional< BusinessDayConvention > paymentConvention1=boost::none, boost::optional< BusinessDayConvention > paymentConvention2=boost::none)
void | setupArguments (PricingEngine::arguments *args) const
void | fetchResults (const PricingEngine::results *) const
Inspectors
VanillaSwap::Type | type () const
const std::vector< Real > & | nominal1 () const
const std::vector< Real > & | nominal2 () const
const Schedule & | schedule1 () const
const Schedule & | schedule2 () const
const boost::shared_ptr< InterestRateIndex > & | index1 () const
const boost::shared_ptr< InterestRateIndex > & | index2 () const
const std::vector< Real > | spread1 () const
const std::vector< Real > | spread2 () const
const std::vector< Real > | gearing1 () const
const std::vector< Real > | gearing2 () const
const std::vector< Rate > | cappedRate1 () const
const std::vector< Rate > | flooredRate1 () const
const std::vector< Rate > | cappedRate2 () const
const std::vector< Rate > | flooredRate2 () const
const DayCounter & | dayCount1 () const
const DayCounter & | dayCount2 () const
BusinessDayConvention | paymentConvention1 () const
BusinessDayConvention | paymentConvention2 () const
const Leg & | leg1 () const
const Leg & | leg2 () const
Public Member Functions inherited from Swap
Date | startDate () const
Date | maturityDate () const
Real | legBPS (Size j) const
Real | legNPV (Size j) const
DiscountFactor | startDiscounts (Size j) const
DiscountFactor | endDiscounts (Size j) const
DiscountFactor | npvDateDiscount () const
const Leg & | leg (Size j) const
| Swap (const Leg &firstLeg, const Leg &secondLeg)
| Swap (const std::vector< Leg > &legs, const std::vector< bool > &payer)
bool | isExpired () const
| returns whether the instrument might have value greater than zero.
void | setupArguments (PricingEngine::arguments *) const
void | fetchResults (const PricingEngine::results *) const
Public Member Functions inherited from Instrument
Real | NPV () const
| returns the net present value of the instrument.
Real | errorEstimate () const
| returns the error estimate on the NPV when available.
const Date & | valuationDate () const
| returns the date the net present value refers to.
template<typename T >
T | result (const std::string &tag) const
| returns any additional result returned by the pricing engine.
const std::map< std::string, boost::any > & | additionalResults () const
| returns all additional result returned by the pricing engine.
void | setPricingEngine (const boost::shared_ptr< PricingEngine > &)
| set the pricing engine to be used. More...
Public Member Functions inherited from LazyObject
void | update ()
void | recalculate ()
void | freeze ()
void | unfreeze ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()

## Additional Inherited Members
Protected Member Functions inherited from Swap
| Swap (Size legs)
void | setupExpired () const
Protected Member Functions inherited from Instrument
void | calculate () const
virtual void | performCalculations () const
Protected Member Functions inherited from LazyObject
Protected Attributes inherited from Swap
std::vector< Leg > | legs_
std::vector< Real > | payer_
std::vector< Real > | legNPV_
std::vector< Real > | legBPS_
std::vector< DiscountFactor > | startDiscounts_
std::vector< DiscountFactor > | endDiscounts_
DiscountFactor | npvDateDiscount_
Protected Attributes inherited from Instrument
boost::shared_ptr< PricingEngine > | engine_
Real | NPV_
Real | errorEstimate_
Date | valuationDate_
std::map< std::string, boost::any > | additionalResults_
Protected Attributes inherited from LazyObject
bool | calculated_
bool | frozen_

## Detailed Description

float float swap

## Member Function Documentation

void setupArguments | ( | PricingEngine::arguments * |  | ) | const
| virtual

When a derived argument structure is defined for an instrument, this method should be overridden to fill it. This is mandatory in case a pricing engine is used.

Reimplemented from Instrument.

void fetchResults | ( | const PricingEngine::results * | r | ) | const
| virtual

When a derived result structure is defined for an instrument, this method should be overridden to read from it. This is mandatory in case a pricing engine is used.

Reimplemented from Instrument.